#ifndef CABSTRACTMATERIAL_HPP
#define CABSTRACTMATERIAL_HPP
#include "../../CAbstractResource.hpp"
#include "nlohmann/json_fwd.hpp"
namespace CosmicCore {
    class CAbstractMaterial: public CAbstractResource
    {
        public:
            CAbstractMaterial();
            nlohmann::json to_json(){return nlohmann::json();};
    };
}
#endif